DNS
All operations require authentication.
Get the DKIM configurationProduction
Get the DKIM configuration. Returns the DKIM status, the active selector, the selectors with their CNAME records, and whether the DNS CNAME configuration is valid.
Path parameters
Name of your domain name
Response
activeSelector
If true your DNS CNAME configuration is valid
DKIM status
DKIM status
disabledenablederrormodifyingtoConfigureExample uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ dkim \
-H "authorization: Bearer $OVH_TOKEN"{ "activeSelector": "string", "autoconfig": true, "selectors": [ { "cname": "string", "selectorName": "string", "status": "set" } ], "status": "disabled"}
Disable DKIMProduction
Disable DKIM. Stops signing the emails sent from the domain with DKIM, and returns the task. Read the result with GET dkim.
Path parameters
Name of your domain name
Response
Domain name of the task
Function of the task
Id of the task
Status of the task
cancelledcustomerErrordoingdoneinitovhErrortodoExample uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ dkim/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "domain": "string", "function": "string", "id": 0, "status": "cancelled"}
Enable DKIMProduction
Enable DKIM. Starts signing the emails sent from the domain with DKIM, and returns the task. Read the result with GET dkim.
Path parameters
Name of your domain name
Response
Domain name of the task
Function of the task
Id of the task
Status of the task
cancelledcustomerErrordoingdoneinitovhErrortodoExample uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ dkim/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "domain": "string", "function": "string", "id": 0, "status": "cancelled"}
Get the MX filterProduction
Get the MX filter. Returns the MX filter of the domain, or of subDomain: CUSTOM, FULL_FILTERING, NO_FILTERING, REDIRECT or SIMPLE_FILTERING.
Path parameters
Name of your domain name
Query parameters
Sub domain
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ dnsMXFilter \
-H "authorization: Bearer $OVH_TOKEN""CUSTOM"
List MX recordsProduction
List MX records. Returns the MX records currently published for the domain. Set subDomain to read those of a subdomain.
Path parameters
Name of your domain name
Query parameters
Sub domain
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ dnsMXRecords \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List recommended DNS recordsProduction
List recommended DNS records. Returns the DNS records recommended for the email domain, with their type, subdomain, target, TTL and zone.
Path parameters
Name of your domain name
Response
Type of DNS record
AAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXTId of record
subdomain of record
Target of DNS record
TTL of record
Name of DNS zone
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ recommendedDNSRecords \
-H "authorization: Bearer $OVH_TOKEN"[ { "fieldType": "A", "id": 0, "subDomain": "string", "target": "string", "ttl": 0, "zone": "string" }]
Change MX filterProduction
Change MX filter. Changes the MX DNS records of the domain, or of subDomain, to apply the mxFilter filter. With CUSTOM, customTarget gives the target server.
Path parameters
Name of your domain name
Request body (required)
Target server for custom MX
New MX filter
CUSTOMFULL_FILTERINGNO_FILTERINGREDIRECTSIMPLE_FILTERINGSub domain
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ changeDnsMXFilter \
-H "authorization: Bearer $OVH_TOKEN"